Package Scientific :: Package BSP :: Module IO

[frames] | no frames]

# Module IO

Parallel acces to netCDF files

One netCDF dimension is defined for splitting the data among processors such that each processor is responsible for one slice of the file along that dimension.

Since netCDF files can be very big, the distribution algorithm gives priority to memory efficiency over CPU time efficiency. The processor that handles the file treats only one slice per superstep, which means that at no time more than one slice must be stored in any processor.

Variables
| ParInvalid = `<Scientific.BSP.core._ParInvalid object at 0x2573`...``
| ParNetCDFFile = `<Scientific.BSP.ParClass object at 0x25982d0>`
| ParNetCDFVariable = `<Scientific.BSP.ParClass object at 0x2598290>`

Variables Details

### ParInvalid

Value:

      <Scientific.BSP.core._ParInvalid object at 0x2573910>